aboutsummaryrefslogtreecommitdiff
path: root/network_daemons/dnsmasq
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /network_daemons/dnsmasq
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'network_daemons/dnsmasq')
-rw-r--r--network_daemons/dnsmasq/dnsmasq-2.49-heimdal.patch.bz2bin0 -> 692 bytes
-rw-r--r--network_daemons/dnsmasq/dnsmasq-2.49-mandir.patch.bz2bin0 -> 251 bytes
-rw-r--r--network_daemons/dnsmasq/dnsmasq-2.49-paths.patch.bz2bin0 -> 686 bytes
-rw-r--r--network_daemons/dnsmasq/dnsmasq-2.50-manpage.patch.xzbin0 -> 472 bytes
-rwxr-xr-xnetwork_daemons/dnsmasq/dnsmasq.SlackBuild88
5 files changed, 88 insertions, 0 deletions
diff --git a/network_daemons/dnsmasq/dnsmasq-2.49-heimdal.patch.bz2 b/network_daemons/dnsmasq/dnsmasq-2.49-heimdal.patch.bz2
new file mode 100644
index 0000000..df8c10d
--- /dev/null
+++ b/network_daemons/dnsmasq/dnsmasq-2.49-heimdal.patch.bz2
Binary files differ
diff --git a/network_daemons/dnsmasq/dnsmasq-2.49-mandir.patch.bz2 b/network_daemons/dnsmasq/dnsmasq-2.49-mandir.patch.bz2
new file mode 100644
index 0000000..83d479f
--- /dev/null
+++ b/network_daemons/dnsmasq/dnsmasq-2.49-mandir.patch.bz2
Binary files differ
diff --git a/network_daemons/dnsmasq/dnsmasq-2.49-paths.patch.bz2 b/network_daemons/dnsmasq/dnsmasq-2.49-paths.patch.bz2
new file mode 100644
index 0000000..cd4807e
--- /dev/null
+++ b/network_daemons/dnsmasq/dnsmasq-2.49-paths.patch.bz2
Binary files differ
diff --git a/network_daemons/dnsmasq/dnsmasq-2.50-manpage.patch.xz b/network_daemons/dnsmasq/dnsmasq-2.50-manpage.patch.xz
new file mode 100644
index 0000000..3ba7172
--- /dev/null
+++ b/network_daemons/dnsmasq/dnsmasq-2.50-manpage.patch.xz
Binary files differ
diff --git a/network_daemons/dnsmasq/dnsmasq.SlackBuild b/network_daemons/dnsmasq/dnsmasq.SlackBuild
new file mode 100755
index 0000000..561a046
--- /dev/null
+++ b/network_daemons/dnsmasq/dnsmasq.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=dnsmasq
+VERSION=2.49
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://thekelleys.org.uk/dnsmasq
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-heimdal.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-mandir.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-paths.patch.bz2 | patch -p1 -s
+make CFLAGS="$FLAGS" PREFIX=/usr
+
+# Install
+make install DESTDIR=$PKG PREFIX=/usr
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/var/lib/dnsmasq \
+ $PKG/etc/{rc.d,conf.d,dnsmasq.d}
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dnsmasq: dnsmasq (small DNS and DHCP server)
+dnsmasq:
+dnsmasq: Dnsmasq is a lightweight, easy to configure DNS forwarder and DHCP
+dnsmasq: server. It is designed to provide DNS (and optionally DHCP) to a
+dnsmasq: small network, and can serve the names of local machines which are
+dnsmasq: not in the global DNS.
+dnsmasq:
+dnsmasq: Dnsmasq was written by Simon Kelley.
+dnsmasq:
+dnsmasq:
+dnsmasq:
+EOF
+
+install -m644 -g0 -o0 doinst.sh $PKG/install
+
+install -m644 -g0 -o0 CHANGELOG FAQ *.html dnsmasq.conf.example \
+ dbus/DBus-interface $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/CHANGELOG \
+ $PKG/usr/doc/$NAME-$VERSION/FAQ \
+ $PKG/usr/doc/$NAME-$VERSION/setup.html \
+ $PKG/usr/doc/$NAME-$VERSION/dnsmasq.conf.example
+
+install -m644 -g0 -o0 dnsmasq.conf.example $PKG/etc/conf.d/dnsmasq.conf.new
+install -m644 -g0 -o0 rc.dnsmasq.new $PKG/etc/rc.d
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/sbin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz